Package org.flowable.cmmn.model

# Class Task

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.CaseElement
org.flowable.cmmn.model.PlanItemDefinition
org.flowable.cmmn.model.Task

All Implemented Interfaces:
  `HasExtensionAttributes`, `HasLifecycleListeners`

Direct Known Subclasses:
  `CasePageTask`, `ChildTask`, `ExternalWorkerServiceTask`, `HumanTask`, `TaskWithFieldExtensions`

public class Task extends PlanItemDefinition

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `async`
  `protected boolean`
  `asyncLeave`
  `protected boolean`
  `asyncLeaveExclusive`
  `protected boolean`
  `blocking`
  `protected String`
  `blockingExpression`
  `protected boolean`
  `exclusive`

  ### Fields inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `defaultControl, lifecycleListeners, planItemRef`

  ### Fields inherited from class org.flowable.cmmn.model.CaseElement

  `name, parent`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Task()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBlockingExpression()`
  `boolean`
  `isAsync()`
  `boolean`
  `isAsyncLeave()`
  `boolean`
  `isAsyncLeaveExclusive()`
  `boolean`
  `isBlocking()`
  `boolean`
  `isExclusive()`
  `void`
  `setAsync(boolean async)`
  `void`
  `setAsyncLeave(boolean asyncLeave)`
  `void`
  `setAsyncLeaveExclusive(boolean asyncLeaveExclusive)`
  `void`
  `setBlocking(boolean blocking)`
  `void`
  `setBlockingExpression(String blockingExpression)`
  `void`
  `setExclusive(boolean exclusive)`
  `void`
  `setValues(Task otherElement)`

  ### Methods inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `getDefaultControl, getLifecycleListeners, getPlanItemRef, setDefaultControl, setLifecycleListeners, setPlanItemRef, setValues, toString`

  ### Methods inherited from class org.flowable.cmmn.model.CaseElement

  `getName, getParent, getParentStage, setName, setParent`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### blocking

    protected boolean blocking

  - ### blockingExpression

    protected String blockingExpression

  - ### async

    protected boolean async

  - ### exclusive

    protected boolean exclusive

  - ### asyncLeave

    protected boolean asyncLeave

  - ### asyncLeaveExclusive

    protected boolean asyncLeaveExclusive

- ## Constructor Details

  - ### Task

    public Task()

- ## Method Details

  - ### isBlocking

    public boolean isBlocking()

  - ### setBlocking

    public void setBlocking(boolean blocking)

  - ### getBlockingExpression

    public String getBlockingExpression()

  - ### setBlockingExpression

    public void setBlockingExpression(String blockingExpression)

  - ### isAsync

    public boolean isAsync()

  - ### setAsync

    public void setAsync(boolean async)

  - ### isExclusive

    public boolean isExclusive()

  - ### setExclusive

    public void setExclusive(boolean exclusive)

  - ### isAsyncLeave

    public boolean isAsyncLeave()

  - ### setAsyncLeave

    public void setAsyncLeave(boolean asyncLeave)

  - ### isAsyncLeaveExclusive

    public boolean isAsyncLeaveExclusive()

  - ### setAsyncLeaveExclusive

    public void setAsyncLeaveExclusive(boolean asyncLeaveExclusive)

  - ### setValues

    public void setValues(Task otherElement)